Subject: Re: bug#21556: 25.0.50; Memory leak in emacs -Q with lucid (font)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Sep 2015 10:00:59 +0300

> From: Dima Kogan <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Tue, 29 Sep 2015 02:28:56 -0700
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > So, if you prefer not to invest any time in investigating the font
> > marking code, let's wait for Dmitry to respond, and make the decision
> > when he does (or when we give up waiting).
> 
> I guess I preferred to invest more time. I found and fixed the bug, and
> the patch is attached. The issue was that the compaction code wasn't
> checking all the right lisp objects for the marks. The font entities
> were storing a list of fonts, and this list had to be traversed, looking
> for the marks. See font_clear_cache() for a function that WAS traversing
> the full list.

Thanks!

Let's wait for a week for comments, and if nothing significant comes
up, let's install this.